r.topidx(1)

NAME
r.topidx - Creates topographic index, ln(a/tan(beta)), map from elevation map.

KEYWORDS
raster

SYNOPSIS
r.topidx
r.topidx help
r.topidx [-v] input=string output=string [--overwrite]

  Flags:

-v  Output verbosely

--overwrite

  Parameters:

input=string
    Elevation map

output=string
    Topographic index ln(a/tanB) map

DESCRIPTION
r.topidx creates topographic index, ln(a/tan(beta)), map from elevation map

where a: the area of the hillslope per unit contour length that drains through any point

tan(beta): the local surface topographic slope (delta vertical) / (delta horizontal)

Elevation map need not to be rectangular if study basin was already determined. Non-interesting region may have NULL values. Study basin map can be taken from r.water.outlet then the following r.mapcalc statements will create study basin extracted elevation map.

r.mapcalc "belev = if(isnull(basin), basin, elev)"

r.stats -Anc prints out averaged statistics for topographic index.

SEE ALSO
r.topmodel, r.water.outlet, r.mapcalc

AUTHORS
Main algorithm sources are rewritten from GRIDATB.FOR.
Thanks to Keith Beven.

GRASS port by Huidae Cho
Hydro Laboratory, Kyungpook National University, South Korea

Last changed: $Date: 2006/07/18 19:38:34 $

Full index